import { ElementType } from 'react';
import { TooltipProps } from './types.ts';
declare const Tooltip: {
    <T extends ElementType = "div">(props: TooltipProps<T>): import("react/jsx-runtime").JSX.Element;
    Arrow: {
        <T extends ElementType = "div">(props: import('./types.ts').TooltipArrowProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Inner: {
        <T extends ElementType = "div">(props: import('./types.ts').TooltipInnerProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    displayName: string;
};
export default Tooltip;
